> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Update an emergency contact

PATCH https://ssuccessv2.com/app/api/v1/emergency/contact/update/{id}
Content-Type: application/json

Updates the supplied fields for an existing emergency contact.

Reference: https://docs.schoolset.io/api-reference/school-set-api/emergency-contacts/update-emergency-contact-student

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Path parameters

- `id` (integer, required) — Emergency contact ID.

### Body (application/json)

This endpoint expects an object.

- `firstname` (string, optional, nullable)
- `lastname` (string, optional, nullable)
- `description` (string, optional, nullable)
- `email` (string, optional, nullable)
- `home_phone` (string, optional, nullable)
- `cell_phone` (string, optional, nullable)
- `relation` (string, optional, nullable)
- `address` (string, optional, nullable)
- `city` (string, optional, nullable)
- `state` (string, optional, nullable)
- `country` (string, optional, nullable)
- `zip` (string, optional, nullable)
- `emergency_contact_type_id` (integer, optional, nullable)

## Response

### 200

Emergency contact updated.

- `status` (string, optional)
- `message` (string, optional)
- `data` (ApiV1EmergencyContactUpdateIdPatchResponsesContentApplicationJsonSchemaData, optional) — Updated emergency contact resource.

## Errors

### 401 Unauthorized Error

Authentication is required.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

The user lacks permission to edit students.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 404 Not Found Error

The emergency contact does not exist.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

The submitted fields failed validation.

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Types

### ApiV1EmergencyContactUpdateIdPatchResponsesContentApplicationJsonSchemaData

Updated emergency contact resource.

## Examples

**Request**

```json
{
  "cell_phone": "+1-917-555-0184",
  "relation": "Aunt",
  "emergency_contact_type_id": 3
}
```

**Response**

```json
{
  "status": "success",
  "message": "Saved successfully.",
  "data": {
    "id": 5521,
    "firstname": "Maria",
    "lastname": "Rivera",
    "cell_phone": "+1-917-555-0184",
    "family_student_id": 1842,
    "addresses": []
  }
}
```

**SDK Code**

```python Emergency contacts_updateEmergencyContactStudent_example
import requests

url = "https://ssuccessv2.com/app/api/v1/emergency/contact/update/5521"

payload = {
    "cell_phone": "+1-917-555-0184",
    "relation": "Aunt",
    "emergency_contact_type_id": 3
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Emergency contacts_updateEmergencyContactStudent_example
const url = 'https://ssuccessv2.com/app/api/v1/emergency/contact/update/5521';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"cell_phone":"+1-917-555-0184","relation":"Aunt","emergency_contact_type_id":3}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Emergency contacts_updateEmergencyContactStudent_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/emergency/contact/update/5521"

	payload := strings.NewReader("{\n  \"cell_phone\": \"+1-917-555-0184\",\n  \"relation\": \"Aunt\",\n  \"emergency_contact_type_id\": 3\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Emergency contacts_updateEmergencyContactStudent_example
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/emergency/contact/update/5521")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"cell_phone\": \"+1-917-555-0184\",\n  \"relation\": \"Aunt\",\n  \"emergency_contact_type_id\": 3\n}"

response = http.request(request)
puts response.read_body
```

```java Emergency contacts_updateEmergencyContactStudent_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://ssuccessv2.com/app/api/v1/emergency/contact/update/5521")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"cell_phone\": \"+1-917-555-0184\",\n  \"relation\": \"Aunt\",\n  \"emergency_contact_type_id\": 3\n}")
  .asString();
```

```php Emergency contacts_updateEmergencyContactStudent_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://ssuccessv2.com/app/api/v1/emergency/contact/update/5521', [
  'body' => '{
  "cell_phone": "+1-917-555-0184",
  "relation": "Aunt",
  "emergency_contact_type_id": 3
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Emergency contacts_updateEmergencyContactStudent_example
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/emergency/contact/update/5521");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"cell_phone\": \"+1-917-555-0184\",\n  \"relation\": \"Aunt\",\n  \"emergency_contact_type_id\": 3\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Emergency contacts_updateEmergencyContactStudent_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "cell_phone": "+1-917-555-0184",
  "relation": "Aunt",
  "emergency_contact_type_id": 3
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/emergency/contact/update/5521")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```